## org.eclipse.emf.ecoretools.diagram.edit.policies
Class EPackageContentsCanonicalEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy
              org.eclipse.emf.ecoretools.diagram.edit.policies.EPackageContentsCanonicalEditPolicy

All Implemented Interfaces:
  org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants, org.eclipse.gmf.runtime.diagram.core.listener.NotificationListener

    public class EPackageContentsCanonicalEditPolicy

extends org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy
`org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy.CanonicalElementAdapter`

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`EPackageContentsCanonicalEditPolicy()`

Method Summary
`protected void` `deleteOrphanedViews()` Delete orphaned views
`protected java.lang.String` `getDefaultFactoryHint()`
`protected java.util.Set` `getFeaturesToSynchronize()`
`protected java.util.List` `getSemanticChildrenList()`
`protected boolean` `isOrphaned(java.util.Collection semanticChildren, org.eclipse.gmf.runtime.notation.View view)`
`protected void` `refreshSemantic()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy

`activate, addListenerFilter, addListenerFilter, canCreate, cleanCanonicalSemanticChildren, createViews, deactivate, deleteViews, enableRefresh, executeCommand, getCanonicalStyle, getCreateViewCommand, getCreateViewCommand, getCreateViewRequest, getDeleteViewCommand, getFactoryHint, getFactoryHint, getFeatureToSynchronize, getRegisteredEditPolicies, getRegisteredEditPolicies, getSemanticHost, getViewChildren, getViewDescriptor, getViewDescriptor, getViewer, getViewIndexFor, getViewReferers, handleNotificationEvent, host, isActive, isEnabled, isHostStillValid, makeViewsImmutable, makeViewsMutable, notifyChanged, postProcessRefreshSemantic, refresh, refreshOnActivate, refreshSemanticChildren, removeListenerFilter, resolveSemanticElement, setEnable, setHost, shouldDeleteView, shouldHandleNotificationEvent`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getCommand, getHost, getTargetEditPart, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPackageContentsCanonicalEditPolicy

    public EPackageContentsCanonicalEditPolicy()

Method Detail

### getSemanticChildrenList

    protected java.util.List getSemanticChildrenList()

  Specified by:
    `getSemanticChildrenList` in class `org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy`

### isOrphaned

    protected boolean isOrphaned(java.util.Collection semanticChildren,
                                 org.eclipse.gmf.runtime.notation.View view)

  Overrides:
    `isOrphaned` in class `org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy`

### getDefaultFactoryHint

    protected java.lang.String getDefaultFactoryHint()

  Overrides:
    `getDefaultFactoryHint` in class `org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy`

### getFeaturesToSynchronize

    protected java.util.Set getFeaturesToSynchronize()

  Overrides:
    `getFeaturesToSynchronize` in class `org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy`

### refreshSemantic

    protected void refreshSemantic()

  Overrides:
    `refreshSemantic` in class `org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy`
  See Also:
    `CanonicalEditPolicy.refreshSemantic()`

### deleteOrphanedViews

    protected void deleteOrphanedViews()

  Delete orphaned views

Copyright 2007 Anyware Technologies. All Rights Reserved.